Package org.kapott.hbci.GV_Result

# Class GVRKUms.UmsLine

java.lang.Object
org.kapott.hbci.GV_Result.GVRKUms.UmsLine

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  GVRKUms

public static class GVRKUms.UmsLine extends Object implements Serializable
Eine "Zeile" des Kontoauszuges (enthält Daten einer Transaktion)

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`additional`
Zusatzinformationen im Rohformat.
`String`
`addkey`
Erweiterte Informationen zur Art der Buchung (bankintern, optional).
`Date`
`bdate`
Buchungsdatum
`Value`
`charge_value`
Betrag für Gebühren des Geldverkehrs (optional)
`String`
`customerref`
Kundenreferenz
`String`
`endToEndId`
NUR BEI CAMT: Ende-zu-Ende-Referenz (EREF)
`String`
`gvcode`
Art der Buchung (bankinterner Code).
`String`
`id`
NUR BEI CAMT: Eindeutiger Identifier der Buchung.
`String`
`instref`
Kreditinstituts-Referenz
`boolean`
`isCamt`
Gibt an, ob ein Umsatz per CAMT abgerufen wurde.
`boolean`
`isSepa`
Gibt an, ob ein Umsatz ein SEPA-Umsatz ist
`boolean`
`isStorno`
Handelt es sich um eine Storno-Buchung?
`String`
`mandateId`
NUR BEI CAMT: Mandats-Referenz (MREF)
`Value`
`orig_value`
Ursprünglicher Betrag (bei ausländischen Buchungen; optional)
`Konto`
`other`
Gegenkonto der Buchung (optional).
`String`
`primanota`
Primanotakennzeichen (optional).
`String`
`purposecode`
NUR BEI CAMT: Der Purpose-Code der Buchung.
`Saldo`
`saldo`
Der Saldo nach dem Buchen des Betrages `value`
`String`
`text`
Beschreibung der Art der Buchung (optional).
`List<String>`
`usage`
Liste von Strings mit den Verwendungszweckzeilen.
`Value`
`value`
Gebuchter Betrag
`Date`
`valuta`
Datum der Wertstellung

## Constructor Summary

Constructors
Constructor
Description
`UmsLine()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addUsage(String st)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### valuta

public Date valuta
Datum der Wertstellung

### bdate

public Date bdate
Buchungsdatum

### value

public Value value
Gebuchter Betrag

### isStorno

public boolean isStorno
Handelt es sich um eine Storno-Buchung?

### saldo

public Saldo saldo
Der Saldo nach dem Buchen des Betrages `value`

### customerref

public String customerref
Kundenreferenz

### instref

public String instref
Kreditinstituts-Referenz

### orig_value

public Value orig_value
Ursprünglicher Betrag (bei ausländischen Buchungen; optional)

### charge_value

public Value charge_value
Betrag für Gebühren des Geldverkehrs (optional)

### gvcode

public String gvcode
Art der Buchung (bankinterner Code). Nur wenn hier ein Wert ungleich `999` drinsteht, enthalten die Attribute `text`, `primanota`, `usage`, `other` und `addkey` sinnvolle Werte. Andernfalls sind all diese Informationen möglicherweise im Feld `additional` enthalten, allerdings in einem nicht definierten Format (siehe auch `additional`).

### additional

public String additional

Zusatzinformationen im Rohformat. Wenn Zusatzinformationen zu dieser Transaktion in einem unbekannten Format vorliegen, dann enthält dieser String diese Daten (u.U. ist dieser String leer, aber nicht `null`). Das ist genau dann der Fall, wenn der Wert von `gvcode` gleich `999` ist.

Wenn die Zusatzinformationen aber ausgewertet werden können (und `gvcode!=999`), so ist dieser String `null`, und die Felder `text`, `primanota`, `usage`, `other` und `addkey` enthalten die entsprechenden Werte (siehe auch `gvcode`)

### text

public String text
Beschreibung der Art der Buchung (optional). Nur wenn `gvcode!=999`! (siehe auch `additional` und `gvcode`)

### primanota

public String primanota
Primanotakennzeichen (optional). Nur wenn `gvcode!=999`! (siehe auch `additional` und `gvcode`)

### usage

public List<String> usage
Liste von Strings mit den Verwendungszweckzeilen. Nur wenn `gvcode!=999`! (siehe auch `additional` und `gvcode`)

### other

public Konto other
Gegenkonto der Buchung (optional). Nur wenn `gvcode!=999`! (siehe auch `additional` und `gvcode`)

### addkey

public String addkey
Erweiterte Informationen zur Art der Buchung (bankintern, optional). Nur wenn `gvcode!=999`! (siehe auch `additional` und `gvcode`)

### isSepa

public boolean isSepa
Gibt an, ob ein Umsatz ein SEPA-Umsatz ist

### isCamt

public boolean isCamt
Gibt an, ob ein Umsatz per CAMT abgerufen wurde.

### id

public String id
NUR BEI CAMT: Eindeutiger Identifier der Buchung. Erst seit SEPA mit Abruf per CAMT verfuegbar. Bei MT940-Abruf ist der Wert leer.

### endToEndId

public String endToEndId
NUR BEI CAMT: Ende-zu-Ende-Referenz (EREF)

### purposecode

public String purposecode
NUR BEI CAMT: Der Purpose-Code der Buchung.

### mandateId

public String mandateId
NUR BEI CAMT: Mandats-Referenz (MREF)

## Constructor Details

### UmsLine

public UmsLine()

## Method Details

### addUsage

public void addUsage(String st)

### toString

public String toString()

Overrides:
  `toString` in class `Object`